#ifndef _GSREGISTRY_H_
#define _GSREGISTRY_H_
#include "registry.h"
#include "configFile.h"
#include "FilePath.h"

class gsRegistry
{	private:
		char volumeKey[256];
    char collectKey[256];
	public:
  	gsRegistry(configureFile &configFileb);
		bool 			storeKeyString(	HKEY base, const char *path,
    													const char *item, const char *string);
    bool 			collectionInstalled();
    bool 			volumeInstalled();
    bool			ensureKeysExist();
    bool			ensureKeyExists( HKEY base, const char *key);
    char *		collectKeyId();
    char *		volumeKeyId();
    char *		exeKeyId(char *exeName);
    FilePath *collectionPath();
    Path();
};
#endif